#include<stdio.h>
#include<stdlib.h>

int main()
{
  long long brojMogucnosti[26];
	char s[1000000];
	int n;
	scanf("%d", &n);
	scanf("%s", s);

  for(int i = 0; i < 26; i++)
    brojMogucnosti[i] = 0;
  for(int i = n-1; i >=0; i--)
  {
    if(s[i] == 'Z')
      brojMogucnosti[25]++;
    else
    {
      brojMogucnosti[s[i]-'A'] += brojMogucnosti[s[i]-'A' + 1];
      brojMogucnosti[s[i]-'A'] %= 1000000007;
    }
  }
  printf("%lld", brojMogucnosti[0]);

	return 0;
}